> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paylead.fr/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Store Detail

> 
This route returns the details of a given store, embedding the best generic offer,
if any.




## OpenAPI

````yaml /program/api/openapi/legacy/1.1.0/connector.json get /stores/{store_id}
openapi: 3.0.2
info:
  description: >
    ## Welcome to PayLead API Documentation !

    With this documentation, we will help you go through the phases of

    basic implementation, and help you understand the basic steps to let you
    reach your objectives through our API.

    ## Versioning

    Our API supports versioning, so be sure to set the right version in the
    header, using the Client-Api-Version field :


    ex : X-Api-Version = 1.0.0

    ## Response code

    Our API returns standard HTTP response codes to indicate success or failure
    of the API requests. For

    errors, we also return a customized error message inside the JSON response.
    You can see the returned

    HTTP status codes below.


    |Code|Title|Description

    |------|------|------|

    |200|OK|Request successful

    |201|Created|Resource successfully created

    |204|No Content|Request successful with no content returned

    |400|Bad Request|Request was unacceptable

    |401|Unauthorised|API key provided is invalid

    |402|Request Failed|Valid parameters but the request failed

    |403|Forbidden|Access is forbidden.

    |404|Not Found|Resource does not exist

    |409|Conflict|The request could not be completed due to a conflict with the
    current state of the target resource

    |429|Too Many Requests|The user has sent too many requests in a given amount
    of time ("rate limiting").

    |500, 502, 503, 504|Server Errors|Something went wrong with the PayLead API


    ## Error handling

    In case of error our API returns errors based on JSON API principles,
    especially for 4xx errors.

    An error response contains an unique id which can be used for investigation.

    In addition, you will find a message explaining the error, a readable code
    and a meta object containing more details.


    You can see an example below.


    >> ~~~~

    >> {

    >>     'errors': {

    >>             'target_account': [

    >>                 {

    >>                 'code': 'FORMAT_ERROR',

    >>                 'message': 'Invalid IBAN; it should be 4-34 characters,
    only upper-case letters and digits.',

    >>                 'meta': {

    >>                     'value': 'SOME-INVALID-IBAN'

    >>                 }

    >>             }

    >>         ]

    >>     },

    >>     'id': '784db0c2-0e87-40d4-aa62-3e801135ccf7'

    >> }

    >> ~~~~

    ## Language — Content Negotiation

    If your program has been configured to support multiple languages, the API
    will respect the `Accept-Language` header as defined in
    [RFC7231](https://tools.ietf.org/html/rfc7231#section-5.3.5).


    For each incoming request, the best language will be selected by matching
    the list of languages accepted by the client with the list of languages
    supported by the program.


    For example, with a header of `Accept-Language: fr-FR,en-GB;q=0.8,en;q=0.3`:

      * If supported languages are `fr-FR, en-GB`, the best match is `fr-FR`;
      * If supported languages are `en-GB, fr-FR`, the best match is `fr-FR`;
      * If supported languages are `fr-BE, nl-BE`, the best match is `fr-BE`;
      * If supported languages are `it-IT, en-US`, the best match is `en-US`;
      * If supported languages are `de-CH, it-CH`, the best match is `de-CH`.


    The selected language will be exposed through the `Content-Language` header.


    *Note:* If some fields haven't been translated yet, they will be returned in
    the program's primary language.
  title: PayLead API
  version: 1.1.0
servers:
  - url: https://api.sandbox.paylead.tech
security:
  - ApiKeyAuth: []
paths:
  /stores/{store_id}:
    get:
      tags:
        - Store
      summary: Get Store Detail
      description: >

        This route returns the details of a given store, embedding the best
        generic offer,

        if any.
      operationId: get.StoreResource
      parameters:
        - description: Unique ID of the store on PayLead system.
          in: path
          name: store_id
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Store'
          description: OK
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Not allowed to access the resource
        '404':
          description: Not found
        '405':
          description: Method not allowed
        '422':
          description: Unprocessable Entity
components:
  schemas:
    Store:
      properties:
        address:
          description: Address of the Store
          example: 55 rue des moulins
          nullable: true
          readOnly: true
          type: string
        brand:
          $ref: '#/components/schemas/Brand'
        business_name:
          description: Business Name (Legal) of the store
          example: MY BRAND SARL
          nullable: true
          readOnly: true
          type: string
        city:
          description: City of the store
          example: Paris
          nullable: true
          readOnly: true
          type: string
        country:
          description: Country of the store
          example: France
          nullable: true
          readOnly: true
          type: string
        created_at:
          description: Object creation datetime
          example: '2019-01-31T15:16:15.523309+00:00'
          format: date-time
          nullable: true
          readOnly: true
          type: string
        id:
          description: Unique ID of the object.
          example: e2c32b4b-de61-459b-accf-a75f76247946
          format: uuid
          readOnly: true
          type: string
        is_online:
          description: >-
            TRUE if the store is online (no address, no geolocation, url); FALSE
            if the store is physical
          example: true
          nullable: true
          readOnly: true
          type: boolean
        latitude:
          description: Latitude of the store
          example: 50.51534475
          nullable: true
          readOnly: true
          type: number
        longitude:
          description: Longitude of the store
          example: 6.0646992
          nullable: true
          readOnly: true
          type: number
        merchant:
          $ref: '#/components/schemas/Merchant'
        name:
          description: Name of the store
          example: MY LITTLE BRAND PARIS
          readOnly: true
          type: string
        phone_number:
          description: Phone number of the store
          example: '0102030405'
          nullable: true
          readOnly: true
          type: string
        siret:
          description: >-
            SIRET of the current Store. Siret is a 14-digit business
            identification number managed by INSEE. The Siret consists of the
            Siren number of 9 digits which identifies the company, a 4-digit
            number to identify the establishment and 1 digit forming a control
            key to verify Luhn's algorithm
          example: 81968937300010
          nullable: true
          type: string
        website:
          description: URL of a brand website
          example: https://www.paylead.fr/
          format: url
          nullable: true
          readOnly: true
          type: string
        zip_code:
          description: Zip code of the store
          example: 84120
          nullable: true
          readOnly: true
          type: string
      required:
        - name
      type: object
    Brand:
      properties:
        created_at:
          description: Object creation datetime
          example: '2019-01-31T15:16:15.523309+00:00'
          format: date-time
          readOnly: true
          type: string
        id:
          description: Unique ID of the object.
          example: e2c32b4b-de61-459b-accf-a75f76247946
          format: uuid
          readOnly: true
          type: string
        logo:
          anyOf:
            - $ref: '#/components/schemas/Image'
            - nullable: true
              type: object
        name:
          description: Name of the object
          readOnly: true
          type: string
        updated_at:
          description: Date of the last update
          example: '2020-01-23T12:00:00+00:00'
          format: date-time
          nullable: true
          readOnly: true
          type: string
      required:
        - name
      type: object
    Merchant:
      properties:
        created_at:
          description: Object creation datetime
          example: '2019-01-31T15:16:15.523309+00:00'
          format: date-time
          readOnly: true
          type: string
        has_delegation:
          description: Flag to indicate if the merchant can emit offers on another brand
          readOnly: true
          type: boolean
        id:
          description: Unique ID of the object.
          example: e2c32b4b-de61-459b-accf-a75f76247946
          format: uuid
          readOnly: true
          type: string
        logo:
          anyOf:
            - $ref: '#/components/schemas/Image'
            - nullable: true
              type: object
        name:
          description: Name of the object
          readOnly: true
          type: string
      required:
        - id
        - name
      type: object
    Image:
      properties:
        content_type:
          description: Content type of the file
          type: string
        id:
          description: Unique ID of the object.
          example: e2c32b4b-de61-459b-accf-a75f76247946
          format: uuid
          type: string
        links:
          $ref: '#/components/schemas/Links'
        name:
          description: Name of the object
          type: string
        owner:
          description: ID of the uploader of the file
          format: uuid
          nullable: true
          type: string
      type: object
    Links:
      properties:
        download:
          description: The link to download the data.
          format: url
          type: string
        preview:
          description: The link to preview the data.
          format: url
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````